package cn.superdesk.uniorder.dao.entity.marketing;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class UnifiedStatisticsVirtDimDayExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public UnifiedStatisticsVirtDimDayExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    unified_statistics_virt_dim_day
     *
     * @mbg.generated Thu Sep 23 11:57:36 CST 2021
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andServiceNoIsNull() {
            addCriterion("service_no is null");
            return (Criteria) this;
        }

        public Criteria andServiceNoIsNotNull() {
            addCriterion("service_no is not null");
            return (Criteria) this;
        }

        public Criteria andServiceNoEqualTo(String value) {
            addCriterion("service_no =", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotEqualTo(String value) {
            addCriterion("service_no <>", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoGreaterThan(String value) {
            addCriterion("service_no >", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoGreaterThanOrEqualTo(String value) {
            addCriterion("service_no >=", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLessThan(String value) {
            addCriterion("service_no <", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLessThanOrEqualTo(String value) {
            addCriterion("service_no <=", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLike(String value) {
            addCriterion("service_no like", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotLike(String value) {
            addCriterion("service_no not like", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoIn(List<String> values) {
            addCriterion("service_no in", values, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotIn(List<String> values) {
            addCriterion("service_no not in", values, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoBetween(String value1, String value2) {
            addCriterion("service_no between", value1, value2, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotBetween(String value1, String value2) {
            addCriterion("service_no not between", value1, value2, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andVirtIdIsNull() {
            addCriterion("virt_id is null");
            return (Criteria) this;
        }

        public Criteria andVirtIdIsNotNull() {
            addCriterion("virt_id is not null");
            return (Criteria) this;
        }

        public Criteria andVirtIdEqualTo(Long value) {
            addCriterion("virt_id =", value, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdNotEqualTo(Long value) {
            addCriterion("virt_id <>", value, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdGreaterThan(Long value) {
            addCriterion("virt_id >", value, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdGreaterThanOrEqualTo(Long value) {
            addCriterion("virt_id >=", value, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdLessThan(Long value) {
            addCriterion("virt_id <", value, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdLessThanOrEqualTo(Long value) {
            addCriterion("virt_id <=", value, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdIn(List<Long> values) {
            addCriterion("virt_id in", values, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdNotIn(List<Long> values) {
            addCriterion("virt_id not in", values, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdBetween(Long value1, Long value2) {
            addCriterion("virt_id between", value1, value2, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdNotBetween(Long value1, Long value2) {
            addCriterion("virt_id not between", value1, value2, "virtId");
            return (Criteria) this;
        }

        public Criteria andSYearIsNull() {
            addCriterion("s_year is null");
            return (Criteria) this;
        }

        public Criteria andSYearIsNotNull() {
            addCriterion("s_year is not null");
            return (Criteria) this;
        }

        public Criteria andSYearEqualTo(Integer value) {
            addCriterion("s_year =", value, "sYear");
            return (Criteria) this;
        }

        public Criteria andSYearNotEqualTo(Integer value) {
            addCriterion("s_year <>", value, "sYear");
            return (Criteria) this;
        }

        public Criteria andSYearGreaterThan(Integer value) {
            addCriterion("s_year >", value, "sYear");
            return (Criteria) this;
        }

        public Criteria andSYearGreaterThanOrEqualTo(Integer value) {
            addCriterion("s_year >=", value, "sYear");
            return (Criteria) this;
        }

        public Criteria andSYearLessThan(Integer value) {
            addCriterion("s_year <", value, "sYear");
            return (Criteria) this;
        }

        public Criteria andSYearLessThanOrEqualTo(Integer value) {
            addCriterion("s_year <=", value, "sYear");
            return (Criteria) this;
        }

        public Criteria andSYearIn(List<Integer> values) {
            addCriterion("s_year in", values, "sYear");
            return (Criteria) this;
        }

        public Criteria andSYearNotIn(List<Integer> values) {
            addCriterion("s_year not in", values, "sYear");
            return (Criteria) this;
        }

        public Criteria andSYearBetween(Integer value1, Integer value2) {
            addCriterion("s_year between", value1, value2, "sYear");
            return (Criteria) this;
        }

        public Criteria andSYearNotBetween(Integer value1, Integer value2) {
            addCriterion("s_year not between", value1, value2, "sYear");
            return (Criteria) this;
        }

        public Criteria andSMonthIsNull() {
            addCriterion("s_month is null");
            return (Criteria) this;
        }

        public Criteria andSMonthIsNotNull() {
            addCriterion("s_month is not null");
            return (Criteria) this;
        }

        public Criteria andSMonthEqualTo(Integer value) {
            addCriterion("s_month =", value, "sMonth");
            return (Criteria) this;
        }

        public Criteria andSMonthNotEqualTo(Integer value) {
            addCriterion("s_month <>", value, "sMonth");
            return (Criteria) this;
        }

        public Criteria andSMonthGreaterThan(Integer value) {
            addCriterion("s_month >", value, "sMonth");
            return (Criteria) this;
        }

        public Criteria andSMonthGreaterThanOrEqualTo(Integer value) {
            addCriterion("s_month >=", value, "sMonth");
            return (Criteria) this;
        }

        public Criteria andSMonthLessThan(Integer value) {
            addCriterion("s_month <", value, "sMonth");
            return (Criteria) this;
        }

        public Criteria andSMonthLessThanOrEqualTo(Integer value) {
            addCriterion("s_month <=", value, "sMonth");
            return (Criteria) this;
        }

        public Criteria andSMonthIn(List<Integer> values) {
            addCriterion("s_month in", values, "sMonth");
            return (Criteria) this;
        }

        public Criteria andSMonthNotIn(List<Integer> values) {
            addCriterion("s_month not in", values, "sMonth");
            return (Criteria) this;
        }

        public Criteria andSMonthBetween(Integer value1, Integer value2) {
            addCriterion("s_month between", value1, value2, "sMonth");
            return (Criteria) this;
        }

        public Criteria andSMonthNotBetween(Integer value1, Integer value2) {
            addCriterion("s_month not between", value1, value2, "sMonth");
            return (Criteria) this;
        }

        public Criteria andSDayIsNull() {
            addCriterion("s_day is null");
            return (Criteria) this;
        }

        public Criteria andSDayIsNotNull() {
            addCriterion("s_day is not null");
            return (Criteria) this;
        }

        public Criteria andSDayEqualTo(Integer value) {
            addCriterion("s_day =", value, "sDay");
            return (Criteria) this;
        }

        public Criteria andSDayNotEqualTo(Integer value) {
            addCriterion("s_day <>", value, "sDay");
            return (Criteria) this;
        }

        public Criteria andSDayGreaterThan(Integer value) {
            addCriterion("s_day >", value, "sDay");
            return (Criteria) this;
        }

        public Criteria andSDayGreaterThanOrEqualTo(Integer value) {
            addCriterion("s_day >=", value, "sDay");
            return (Criteria) this;
        }

        public Criteria andSDayLessThan(Integer value) {
            addCriterion("s_day <", value, "sDay");
            return (Criteria) this;
        }

        public Criteria andSDayLessThanOrEqualTo(Integer value) {
            addCriterion("s_day <=", value, "sDay");
            return (Criteria) this;
        }

        public Criteria andSDayIn(List<Integer> values) {
            addCriterion("s_day in", values, "sDay");
            return (Criteria) this;
        }

        public Criteria andSDayNotIn(List<Integer> values) {
            addCriterion("s_day not in", values, "sDay");
            return (Criteria) this;
        }

        public Criteria andSDayBetween(Integer value1, Integer value2) {
            addCriterion("s_day between", value1, value2, "sDay");
            return (Criteria) this;
        }

        public Criteria andSDayNotBetween(Integer value1, Integer value2) {
            addCriterion("s_day not between", value1, value2, "sDay");
            return (Criteria) this;
        }

        public Criteria andPayableAmountIsNull() {
            addCriterion("payable_amount is null");
            return (Criteria) this;
        }

        public Criteria andPayableAmountIsNotNull() {
            addCriterion("payable_amount is not null");
            return (Criteria) this;
        }

        public Criteria andPayableAmountEqualTo(BigDecimal value) {
            addCriterion("payable_amount =", value, "payableAmount");
            return (Criteria) this;
        }

        public Criteria andPayableAmountNotEqualTo(BigDecimal value) {
            addCriterion("payable_amount <>", value, "payableAmount");
            return (Criteria) this;
        }

        public Criteria andPayableAmountGreaterThan(BigDecimal value) {
            addCriterion("payable_amount >", value, "payableAmount");
            return (Criteria) this;
        }

        public Criteria andPayableAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("payable_amount >=", value, "payableAmount");
            return (Criteria) this;
        }

        public Criteria andPayableAmountLessThan(BigDecimal value) {
            addCriterion("payable_amount <", value, "payableAmount");
            return (Criteria) this;
        }

        public Criteria andPayableAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("payable_amount <=", value, "payableAmount");
            return (Criteria) this;
        }

        public Criteria andPayableAmountIn(List<BigDecimal> values) {
            addCriterion("payable_amount in", values, "payableAmount");
            return (Criteria) this;
        }

        public Criteria andPayableAmountNotIn(List<BigDecimal> values) {
            addCriterion("payable_amount not in", values, "payableAmount");
            return (Criteria) this;
        }

        public Criteria andPayableAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("payable_amount between", value1, value2, "payableAmount");
            return (Criteria) this;
        }

        public Criteria andPayableAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("payable_amount not between", value1, value2, "payableAmount");
            return (Criteria) this;
        }

        public Criteria andQuantityIsNull() {
            addCriterion("quantity is null");
            return (Criteria) this;
        }

        public Criteria andQuantityIsNotNull() {
            addCriterion("quantity is not null");
            return (Criteria) this;
        }

        public Criteria andQuantityEqualTo(Integer value) {
            addCriterion("quantity =", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotEqualTo(Integer value) {
            addCriterion("quantity <>", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityGreaterThan(Integer value) {
            addCriterion("quantity >", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityGreaterThanOrEqualTo(Integer value) {
            addCriterion("quantity >=", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityLessThan(Integer value) {
            addCriterion("quantity <", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityLessThanOrEqualTo(Integer value) {
            addCriterion("quantity <=", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityIn(List<Integer> values) {
            addCriterion("quantity in", values, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotIn(List<Integer> values) {
            addCriterion("quantity not in", values, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityBetween(Integer value1, Integer value2) {
            addCriterion("quantity between", value1, value2, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotBetween(Integer value1, Integer value2) {
            addCriterion("quantity not between", value1, value2, "quantity");
            return (Criteria) this;
        }

        public Criteria andOrderAmountIsNull() {
            addCriterion("order_amount is null");
            return (Criteria) this;
        }

        public Criteria andOrderAmountIsNotNull() {
            addCriterion("order_amount is not null");
            return (Criteria) this;
        }

        public Criteria andOrderAmountEqualTo(BigDecimal value) {
            addCriterion("order_amount =", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountNotEqualTo(BigDecimal value) {
            addCriterion("order_amount <>", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountGreaterThan(BigDecimal value) {
            addCriterion("order_amount >", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("order_amount >=", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountLessThan(BigDecimal value) {
            addCriterion("order_amount <", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("order_amount <=", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountIn(List<BigDecimal> values) {
            addCriterion("order_amount in", values, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountNotIn(List<BigDecimal> values) {
            addCriterion("order_amount not in", values, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_amount between", value1, value2, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_amount not between", value1, value2, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountIsNull() {
            addCriterion("order_cost_amount is null");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountIsNotNull() {
            addCriterion("order_cost_amount is not null");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountEqualTo(BigDecimal value) {
            addCriterion("order_cost_amount =", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountNotEqualTo(BigDecimal value) {
            addCriterion("order_cost_amount <>", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountGreaterThan(BigDecimal value) {
            addCriterion("order_cost_amount >", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("order_cost_amount >=", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountLessThan(BigDecimal value) {
            addCriterion("order_cost_amount <", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("order_cost_amount <=", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountIn(List<BigDecimal> values) {
            addCriterion("order_cost_amount in", values, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountNotIn(List<BigDecimal> values) {
            addCriterion("order_cost_amount not in", values, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_cost_amount between", value1, value2, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_cost_amount not between", value1, value2, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderTransportAmountIsNull() {
            addCriterion("order_transport_amount is null");
            return (Criteria) this;
        }

        public Criteria andOrderTransportAmountIsNotNull() {
            addCriterion("order_transport_amount is not null");
            return (Criteria) this;
        }

        public Criteria andOrderTransportAmountEqualTo(BigDecimal value) {
            addCriterion("order_transport_amount =", value, "orderTransportAmount");
            return (Criteria) this;
        }

        public Criteria andOrderTransportAmountNotEqualTo(BigDecimal value) {
            addCriterion("order_transport_amount <>", value, "orderTransportAmount");
            return (Criteria) this;
        }

        public Criteria andOrderTransportAmountGreaterThan(BigDecimal value) {
            addCriterion("order_transport_amount >", value, "orderTransportAmount");
            return (Criteria) this;
        }

        public Criteria andOrderTransportAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("order_transport_amount >=", value, "orderTransportAmount");
            return (Criteria) this;
        }

        public Criteria andOrderTransportAmountLessThan(BigDecimal value) {
            addCriterion("order_transport_amount <", value, "orderTransportAmount");
            return (Criteria) this;
        }

        public Criteria andOrderTransportAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("order_transport_amount <=", value, "orderTransportAmount");
            return (Criteria) this;
        }

        public Criteria andOrderTransportAmountIn(List<BigDecimal> values) {
            addCriterion("order_transport_amount in", values, "orderTransportAmount");
            return (Criteria) this;
        }

        public Criteria andOrderTransportAmountNotIn(List<BigDecimal> values) {
            addCriterion("order_transport_amount not in", values, "orderTransportAmount");
            return (Criteria) this;
        }

        public Criteria andOrderTransportAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_transport_amount between", value1, value2, "orderTransportAmount");
            return (Criteria) this;
        }

        public Criteria andOrderTransportAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_transport_amount not between", value1, value2, "orderTransportAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundAmountIsNull() {
            addCriterion("order_refund_amount is null");
            return (Criteria) this;
        }

        public Criteria andOrderRefundAmountIsNotNull() {
            addCriterion("order_refund_amount is not null");
            return (Criteria) this;
        }

        public Criteria andOrderRefundAmountEqualTo(BigDecimal value) {
            addCriterion("order_refund_amount =", value, "orderRefundAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundAmountNotEqualTo(BigDecimal value) {
            addCriterion("order_refund_amount <>", value, "orderRefundAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundAmountGreaterThan(BigDecimal value) {
            addCriterion("order_refund_amount >", value, "orderRefundAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("order_refund_amount >=", value, "orderRefundAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundAmountLessThan(BigDecimal value) {
            addCriterion("order_refund_amount <", value, "orderRefundAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("order_refund_amount <=", value, "orderRefundAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundAmountIn(List<BigDecimal> values) {
            addCriterion("order_refund_amount in", values, "orderRefundAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundAmountNotIn(List<BigDecimal> values) {
            addCriterion("order_refund_amount not in", values, "orderRefundAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_refund_amount between", value1, value2, "orderRefundAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_refund_amount not between", value1, value2, "orderRefundAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundCostAmountIsNull() {
            addCriterion("order_refund_cost_amount is null");
            return (Criteria) this;
        }

        public Criteria andOrderRefundCostAmountIsNotNull() {
            addCriterion("order_refund_cost_amount is not null");
            return (Criteria) this;
        }

        public Criteria andOrderRefundCostAmountEqualTo(BigDecimal value) {
            addCriterion("order_refund_cost_amount =", value, "orderRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundCostAmountNotEqualTo(BigDecimal value) {
            addCriterion("order_refund_cost_amount <>", value, "orderRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundCostAmountGreaterThan(BigDecimal value) {
            addCriterion("order_refund_cost_amount >", value, "orderRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundCostAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("order_refund_cost_amount >=", value, "orderRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundCostAmountLessThan(BigDecimal value) {
            addCriterion("order_refund_cost_amount <", value, "orderRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundCostAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("order_refund_cost_amount <=", value, "orderRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundCostAmountIn(List<BigDecimal> values) {
            addCriterion("order_refund_cost_amount in", values, "orderRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundCostAmountNotIn(List<BigDecimal> values) {
            addCriterion("order_refund_cost_amount not in", values, "orderRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundCostAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_refund_cost_amount between", value1, value2, "orderRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderRefundCostAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_refund_cost_amount not between", value1, value2, "orderRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountIsNull() {
            addCriterion("goods_amount is null");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountIsNotNull() {
            addCriterion("goods_amount is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountEqualTo(BigDecimal value) {
            addCriterion("goods_amount =", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountNotEqualTo(BigDecimal value) {
            addCriterion("goods_amount <>", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountGreaterThan(BigDecimal value) {
            addCriterion("goods_amount >", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_amount >=", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountLessThan(BigDecimal value) {
            addCriterion("goods_amount <", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_amount <=", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountIn(List<BigDecimal> values) {
            addCriterion("goods_amount in", values, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountNotIn(List<BigDecimal> values) {
            addCriterion("goods_amount not in", values, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_amount between", value1, value2, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_amount not between", value1, value2, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountIsNull() {
            addCriterion("goods_cost_amount is null");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountIsNotNull() {
            addCriterion("goods_cost_amount is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountEqualTo(BigDecimal value) {
            addCriterion("goods_cost_amount =", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountNotEqualTo(BigDecimal value) {
            addCriterion("goods_cost_amount <>", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountGreaterThan(BigDecimal value) {
            addCriterion("goods_cost_amount >", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_cost_amount >=", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountLessThan(BigDecimal value) {
            addCriterion("goods_cost_amount <", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_cost_amount <=", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountIn(List<BigDecimal> values) {
            addCriterion("goods_cost_amount in", values, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountNotIn(List<BigDecimal> values) {
            addCriterion("goods_cost_amount not in", values, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_cost_amount between", value1, value2, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_cost_amount not between", value1, value2, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountIsNull() {
            addCriterion("goods_transport_amount is null");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountIsNotNull() {
            addCriterion("goods_transport_amount is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountEqualTo(BigDecimal value) {
            addCriterion("goods_transport_amount =", value, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountNotEqualTo(BigDecimal value) {
            addCriterion("goods_transport_amount <>", value, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountGreaterThan(BigDecimal value) {
            addCriterion("goods_transport_amount >", value, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_transport_amount >=", value, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountLessThan(BigDecimal value) {
            addCriterion("goods_transport_amount <", value, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_transport_amount <=", value, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountIn(List<BigDecimal> values) {
            addCriterion("goods_transport_amount in", values, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountNotIn(List<BigDecimal> values) {
            addCriterion("goods_transport_amount not in", values, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_transport_amount between", value1, value2, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsTransportAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_transport_amount not between", value1, value2, "goodsTransportAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundAmountIsNull() {
            addCriterion("goods_refund_amount is null");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundAmountIsNotNull() {
            addCriterion("goods_refund_amount is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundAmountEqualTo(BigDecimal value) {
            addCriterion("goods_refund_amount =", value, "goodsRefundAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundAmountNotEqualTo(BigDecimal value) {
            addCriterion("goods_refund_amount <>", value, "goodsRefundAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundAmountGreaterThan(BigDecimal value) {
            addCriterion("goods_refund_amount >", value, "goodsRefundAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_refund_amount >=", value, "goodsRefundAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundAmountLessThan(BigDecimal value) {
            addCriterion("goods_refund_amount <", value, "goodsRefundAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_refund_amount <=", value, "goodsRefundAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundAmountIn(List<BigDecimal> values) {
            addCriterion("goods_refund_amount in", values, "goodsRefundAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundAmountNotIn(List<BigDecimal> values) {
            addCriterion("goods_refund_amount not in", values, "goodsRefundAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_refund_amount between", value1, value2, "goodsRefundAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_refund_amount not between", value1, value2, "goodsRefundAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundCostAmountIsNull() {
            addCriterion("goods_refund_cost_amount is null");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundCostAmountIsNotNull() {
            addCriterion("goods_refund_cost_amount is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundCostAmountEqualTo(BigDecimal value) {
            addCriterion("goods_refund_cost_amount =", value, "goodsRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundCostAmountNotEqualTo(BigDecimal value) {
            addCriterion("goods_refund_cost_amount <>", value, "goodsRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundCostAmountGreaterThan(BigDecimal value) {
            addCriterion("goods_refund_cost_amount >", value, "goodsRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundCostAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_refund_cost_amount >=", value, "goodsRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundCostAmountLessThan(BigDecimal value) {
            addCriterion("goods_refund_cost_amount <", value, "goodsRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundCostAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_refund_cost_amount <=", value, "goodsRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundCostAmountIn(List<BigDecimal> values) {
            addCriterion("goods_refund_cost_amount in", values, "goodsRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundCostAmountNotIn(List<BigDecimal> values) {
            addCriterion("goods_refund_cost_amount not in", values, "goodsRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundCostAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_refund_cost_amount between", value1, value2, "goodsRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsRefundCostAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_refund_cost_amount not between", value1, value2, "goodsRefundCostAmount");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(Long value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(Long value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(Long value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(Long value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<Long> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<Long> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(Long value1, Long value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }
    }

    /**
    unified_statistics_virt_dim_day
     *
     * @mbg.generated do_not_delete_during_merge Thu Sep 23 11:57:36 CST 2021
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
    unified_statistics_virt_dim_day
     *
     * @mbg.generated Thu Sep 23 11:57:36 CST 2021
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}